Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::Sampler Class Reference

STK sampling synthesis abstract base class. More...

`#include <Sampler.h>`

Inheritance diagram for stk::Sampler:

List of all members.

## Public Member Functions
| Sampler (void)
| Default constructor.
virtual | ~Sampler (void)
| Class destructor.
void | clear (void)
| Reset and clear all internal state.
virtual void | setFrequency (StkFloat frequency)=0
| Set instrument parameters for a particular frequency.
void | keyOn (void)
| Initiate the envelopes with a key-on event and reset the attack waves.
void | keyOff (void)
| Signal a key-off event to the envelopes.
virtual void | noteOff (StkFloat amplitude)
| Stop a note with the given amplitude (speed of decay).
virtual void | controlChange (int number, StkFloat value)=0
| Perform the control change specified by number and value (0.0 - 128.0).
virtual StkFloat | tick (unsigned int channel=0)=0
| Compute and return one output sample.

## Detailed Description

STK sampling synthesis abstract base class.

This instrument provides an ADSR envelope, a one-pole filter, and structures for an arbitrary number of attack and looped files.

by Perry R. Cook and Gary P. Scavone, 1995 - 2010.

The documentation for this class was generated from the following file:

- Sampler.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.